=== debian/changelog ===
clazy (1.13-1ubuntu2) plucky; urgency=medium

  * Skip several tests failing with Qt 5; that's deprecated anyway.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 09 Mar 2025 22:47:48 -0500

clazy (1.13-1ubuntu1) plucky; urgency=medium

  * Remove clang::DiagnosticsEngine::Clear() call in lieu of an upstream
    investigation (LP: #2099659).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Feb 2025 21:42:22 -0600

clazy (1.13-1) unstable; urgency=medium

  * New upstream release.
  * Disable GPG key checking for now.
  * Update the patches:
    - upstream_Use-clazy-helper-to-avoid-startsWith-starts_with-dep.patch:
      drop, backported from upstream
    - upstream_Fix-clang-deprecations-by-porting-to-FileEntryRef.patch: drop,
      backported from upstream
    - upstream_Update-LLVM-Clang-support-to-14.0-add-LLVM-19-handli.patch:
      drop, backported from upstream
    - upstream_Remove-guards-for-no-longer-necessary-CLAZY_DISABLE_.patch:
      drop, backported from upstream
    - upstream_remove-the-llvm-clang-version-sepecific-macros.patch: drop,
      backported from upstream
    - upstream_Revert-overeager-cleanups-to-usageg-OptionalFileEntr.patch:
      drop, backported from upstream
    - upstream_Adjust-additional-argument-in-InclusionDirective.patch: drop,
      backported from upstream
    - upstream_Add-ifdefs-for-compatibility-with-LLVM-19.patch: drop,
      backported from upstream
    - select-clangpp.diff: refresh
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.13

 -- Pino Toscano <pino@debian.org>  Sat, 01 Feb 2025 23:11:29 +0100

clazy (1.12-3) unstable; urgency=medium

  * Backport upstream commit ccb232e435ae3d83559486fce1fdb586aaaa6e07,
    upstream commit ef4fa16bf0df98404bfb8df449dfb88e8141840e,
    upstream commit 5a86780f0db6969725bd1336b4914bc435570e88,
    upstream commit e8d2fe6ccef9276678e7bd5483ae34c4e9640035,
    upstream commit 217b1938c43fcc51ac2296cad767a4da75e1ff15,
    upstream commit cfef69f03532242688e5445b0078f2c55bb06c20,
    upstream commit dcf15ab3ece9f54e65a7cc11e8dcc5338960e866, and
    upstream commit 49ebaf30f30ede6f2ef2c2e6b57eed4a68b35104 to make clazy
    compatible with LLVM 19; patches
    upstream_Use-clazy-helper-to-avoid-startsWith-starts_with-dep.patch,
    upstream_Fix-clang-deprecations-by-porting-to-FileEntryRef.patch,
    upstream_Update-LLVM-Clang-support-to-14.0-add-LLVM-19-handli.patch,
    upstream_Remove-guards-for-no-longer-necessary-CLAZY_DISABLE_.patch,
    upstream_remove-the-llvm-clang-version-sepecific-macros.patch,
    upstream_Revert-overeager-cleanups-to-usageg-OptionalFileEntr.patch,
    upstream_Adjust-additional-argument-in-InclusionDirective.patch, and
    upstream_Add-ifdefs-for-compatibility-with-LLVM-19.patch
    (Closes: #1084393, #1000934)
    - bump clang & LLVM to 14.0
  * CI: disable the crossbuild job, as clang-N is not M-A safe.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Dec 2024 19:11:44 +0100
