=== debian/control ===
Source: clazy
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: chrpath,
               clang (>= 1:14.0~),
               clang-tools (>= 1:14.0~),
               cmake (>= 3.13~),
               debhelper-compat (= 13),
               libclang-cpp-dev (>= 1:14.0~),
               libclang-dev (>= 1:14.0~),
               llvm-dev (>= 1:14.0~),
               python3:any <!nocheck>,
               libqt5networkauth5-dev <!nocheck>,
               qtbase5-dev <!nocheck>,
               libqt5svg5-dev <!nocheck>,
               qtdeclarative5-dev <!nocheck>,
               qtmultimedia5-dev <!nocheck>,
               qt6-base-dev <!nocheck>,
               qt6-declarative-dev <!nocheck>,
               qt6-multimedia-dev <!nocheck>,
               qt6-networkauth-dev <!nocheck>,
               qt6-scxml-dev <!nocheck>,
               qt6-svg-dev <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kdab.com/clazy-video/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/clazy.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/clazy

Package: clazy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${clazy:clang}
Description: Clang plugin for additional warnings
 Clazy is a Clang plugin which extends the compiler with over
 50 warnings related to Qt best practices ranging from unneeded
 memory allocations to API misuse. It’s an opensource project
 spawned by KDAB’s R&D efforts for better C++ tooling.

Package: clazy-tests
Architecture: any
Depends: ${misc:Depends}, clazy (= ${binary:Version}),
         ${clazy:clang-tools},
Description: test files for Clazy
 This package contains all the test files needed for running the autopkgtest
 of Clazy. This is hardly useful to install in any other context than this.
