=== debian/changelog ===
clazy (1.14-1) unstable; urgency=medium

  * New upstream release:
    - supports building with LLVM 20
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Apr 2025 08:37:54 +0200
