=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: clazy
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: chrpath,
                clang (>= 1:14.0~),
@@ -24,7 +23,7 @@
                qt6-networkauth-dev <!nocheck>,
                qt6-scxml-dev <!nocheck>,
                qt6-svg-dev <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.kdab.com/clazy-video/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/clazy.git
