=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
 TESTS_EXCLUDED += qt6-header-fixes
 endif
-TESTS_EXCLUDED += use-static-qregularexpression temporary-iterator qstring-allocations
 
 # keep the "++" at the end, to make sure the tool used is the C++ frontend
 CLANGPP=$(shell realpath $$(env PATH=$$(echo "$$PATH" | sed -r -e 's|/usr/lib/ccache/?:||') which clang++))++
