## clazy 1.15

=== debian/changelog ===
clazy (1.15-2ubuntu1) questing; urgency=medium

  * Skip old-style-connect test failing with Qt5

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 05 Sep 2025 13:54:12 +0000

clazy (1.15-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 09:58:46 +0200

clazy (1.15-1) experimental; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump clang & LLVM to 19.0
  * Drop -Wno-class-memaccess from the CXXFLAGS, as the problem should be fixed
    with very recent LLVM versions (which are a requirement now).
  * Update the patches:
    - select-clangpp.diff: refresh

 -- Pino Toscano <pino@debian.org>  Thu, 19 Jun 2025 07:39:10 +0200
