=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: clazy
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: chrpath,
-               clang (>= 1:14.0~),
-               clang-tools (>= 1:14.0~),
+               clang (>= 1:19.0~),
+               clang-tools (>= 1:19.0~),
                cmake (>= 3.13~),
                debhelper-compat (= 13),
-               libclang-cpp-dev (>= 1:14.0~),
-               libclang-dev (>= 1:14.0~),
-               llvm-dev (>= 1:14.0~),
+               libclang-cpp-dev (>= 1:19.0~),
+               libclang-dev (>= 1:19.0~),
+               llvm-dev (>= 1:19.0~),
                python3:any <!nocheck>,
                libqt5networkauth5-dev <!nocheck>,
                qtbase5-dev <!nocheck>,
