=== debian/tests/control ===
Tests: run-tests
Depends: @, clazy-tests, python3, qtbase5-dev, libqt5networkauth5-dev, libqt5svg5-dev, qtdeclarative5-dev, qtmultimedia5-dev, qt6-base-dev, qt6-declarative-dev, qt6-multimedia-dev, qt6-networkauth-dev, qt6-scxml-dev, qt6-svg-dev
Restrictions: rw-build-tree, allow-stderr
