=== debian/watch ===
version=4
https://download.kde.org/stable/@PACKAGE@/([\d\.]*)/src/@PACKAGE@-([^-]*).tar.xz
