## clazy 1.15+p24.04+vstable+git20250907.2235

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,12 +15,17 @@
 
 # Version setup
 set(CLAZY_VERSION_MAJOR "1")
-set(CLAZY_VERSION_MINOR "14")
+set(CLAZY_VERSION_MINOR "17")
 set(CLAZY_VERSION_PATCH "0")
 set(CLAZY_VERSION "${CLAZY_VERSION_MAJOR}.${CLAZY_VERSION_MINOR}.${CLAZY_VERSION_PATCH}")
 set(CLAZY_PRINT_VERSION "${CLAZY_VERSION_MAJOR}.${CLAZY_VERSION_MINOR}")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_LIST_DIR}/cmake)
+
+if(EXISTS "${CMAKE_SOURCE_DIR}/.git" AND IS_DIRECTORY "${CMAKE_SOURCE_DIR}/.git")
+    include(gitversion)
+endif()
+
 if (NOT CLAZY_BUILD_WITH_CLANG)
   find_package(Clang 14.0 MODULE REQUIRED)
 
@@ -44,6 +49,12 @@
 option(APPIMAGE_HACK "Links the clazy plugin to the clang tooling libs only. For some reason this is needed when building on our old CentOS 6.8 to create the AppImage." OFF)
 option(CLAZY_MAN_PAGE "Builds the man page." ON)
 option(CLAZY_ENABLE_SANITIZERS "Builds clazy with ASAN/UBSAN. For clazy's own development only." OFF)
+option(CLAZY_BUILD_CLANG_TIDY "Builds clang-tidy plugin" ON)
+
+# not available on opensuse CI, only BSD for now
+if ($ENV{CI_JOB_NAME_SLUG} MATCHES "suse-tumbleweed")
+  set(CLAZY_BUILD_CLANG_TIDY OFF)
+endif()
 
 if (CLAZY_ENABLE_SANITIZERS)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
@@ -70,17 +81,8 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
 endif()
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CXX_STANDARD_REQUIRED ON)
-
-# Compiler might support c++17 but not have std::filesystem in the standard library
-if (NOT FILESYSTEM_RUN_RESULT)
-  try_compile(FILESYSTEM_RUN_RESULT ${CMAKE_CURRENT_BINARY_DIR} SOURCES ${CMAKE_CURRENT_LIST_DIR}/.cmake_has_filesystem_test.cpp OUTPUT_VARIABLE foo CXX_STANDARD 17 CXX_STANDARD_REQUIRED true)
-endif()
-
-if (NOT FILESYSTEM_RUN_RESULT)
-  message(FATAL_ERROR "std::filesystem support is mandatory")
-endif()
 
 include(ClazySources.cmake)
 
@@ -89,12 +91,7 @@
 link_directories("${LLVM_INSTALL_PREFIX}/lib" ${LLVM_LIBRARY_DIRS})
 
 set(clang_tooling_refactoring_lib clangToolingRefactoring)
-
-if (${LLVM_VERSION} VERSION_GREATER_EQUAL "19.0.0")
-  set(clang_support_lib clangSupport)
-elseif (${LLVM_VERSION} VERSION_GREATER_EQUAL "15.0.0")
-  set(clang_support_lib clangSupport)
-endif()
+set(clang_support_lib clangSupport)
 
 macro(link_to_llvm name is_standalone)
   if (CLAZY_LINK_CLANG_DYLIB)
@@ -295,6 +292,28 @@
   install(TARGETS clazy-standalone DESTINATION bin PERMISSIONS OWNER_WRITE OWNER_EXECUTE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_READ WORLD_EXECUTE)
 endif()
 
+
+if (CLAZY_BUILD_CLANG_TIDY)
+  find_path(CLANG_TIDY_MODULE_REGISTRY_HEADER
+      NAMES clang-tidy/ClangTidyModule.h
+      PATHS ${CLANG_INCLUDE_DIRS}
+  )
+  if (NOT CLANG_TIDY_MODULE_REGISTRY_HEADER)
+    message(FATAL_ERROR "Could not find ClangTidyModule.h header")
+  endif()
+  add_clang_plugin(ClazyClangTidy src/ClazyClangTidyModule.cpp)
+  target_link_libraries(ClazyClangTidy ClazyPlugin)
+  set_target_properties(ClazyClangTidy PROPERTIES
+    LINKER_LANGUAGE CXX
+    PREFIX ""
+  )
+  install(TARGETS ClazyClangTidy
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  )
+endif()
+
 function(to_raw_string_literal input_string output_string)
     if (MSVC)
         # Work around "C2026: string too big, trailing characters truncated"
@@ -312,15 +331,3 @@
             string(APPEND result ${chunk})
             string(LENGTH ${str} str_size)
         endwhile()
-        if (str_size GREATER 0)
-            string(APPEND result "R\"meta(${str})meta\"\n")
-        endif()
-        set(${output_string} ${result} PARENT_SCOPE)
-    else()
-        set(result "\nR\"meta(${input_string})meta\"\n")
-        set(${output_string} ${result} PARENT_SCOPE)
-    endif()
-endfunction()
-
-file(READ checks.json SUPPORTED_CHECKS_JSON_STR)
-to_raw_string_literal(${SUPPORTED_CHECKS_JSON_STR} SUPPORTED_CHECKS_JSON_STR)
