=== debian/changelog ===
clazy (1.15+p24.04+vstable+git20250907.2235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Sep 2025 22:35:46 +0000

clazy (1.15-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 14 Jun 2025 20:30:56 +0000

clazy (1.14-1) noble; urgency=medium

  * New upstream release:
    - supports building with LLVM 20
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Apr 2025 08:37:54 +0200

clazy (1.14-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 28 Apr 2025 19:12:10 +0000

clazy (1.13-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 29 Dec 2024 19:12:10 +0000

clazy (1.12-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 19:12:08 +0000
