## clazy 1.15+p24.04+vstable+git20250917.0417

=== CMakeLists.txt ===
--- 
+++ 
@@ -188,13 +188,14 @@
   )
 
   if(NOT WIN32)
+     find_program(READLINK_CMD readlink)
+
     if(APPLE)
-      find_program(READLINK_CMD greadlink)
-    else()
-      find_program(READLINK_CMD readlink)
-    endif()
-    if(NOT READLINK_CMD)
-      message(FATAL_ERROR "Could not find a proper readlink.  On Mac OSX you should install coreutils using homebrew in order to use the GNU readlink")
+      # for historic reasons we prefer greadlink
+      find_program(GREADLINK_CMD greadlink)
+      if (GREADLINK_CMD)
+        set(READLINK_CMD ${GREADLINK_CMD})
+      endif()
     endif()
     file(RELATIVE_PATH BIN_RELATIVE_LIBDIR "${CMAKE_INSTALL_FULL_BINDIR}" "${CMAKE_INSTALL_FULL_LIBDIR}")
     file(RELATIVE_PATH BIN_RELATIVE_SHAREDIR "${CMAKE_INSTALL_FULL_BINDIR}" "${CMAKE_INSTALL_FULL_DATAROOTDIR}")
@@ -331,3 +332,4 @@
             string(APPEND result ${chunk})
             string(LENGTH ${str} str_size)
         endwhile()
+        if (str_size GREATER 0)
