=== debian/changelog ===
clazy (1.15+p24.04+vstable+git20250917.0417-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 04:17:40 +0000
