## clazy 1.15+p24.04+vstable+git20251012.0154

=== debian/changelog ===
clazy (1.15+p24.04+vstable+git20251012.0154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:54:26 +0000
