## clazy 1.15+p24.04+vstable+git20251015.0749

=== debian/changelog ===
clazy (1.15+p24.04+vstable+git20251015.0749-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:49:17 +0000
