## clazy 1.15+p24.04+vstable+git20260102.1123

=== debian/changelog ===
clazy (1.15+p24.04+vstable+git20260102.1123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:23:13 +0000
