=== debian/control ===
Source: clazy
Section: devel
Priority: optional
Uploaders: Scarlett Clark <sgclark@kde.org>, Pino Toscano <pino@debian.org>
Build-Depends: chrpath,
               clang-19,
               clang-tools-19,
               cmake,
               debhelper-compat (= 13),
               libclang-19-dev,
               libclang-cpp19-dev,
               libqt5networkauth5-dev <!nocheck>,
               libqt5svg5-dev <!nocheck>,
               llvm-19-dev,
               python3:any <!nocheck>,
               qt6-base-dev <!nocheck>,
               qt6-declarative-dev <!nocheck>,
               qt6-multimedia-dev <!nocheck>,
               qt6-networkauth-dev <!nocheck>,
               qt6-scxml-dev <!nocheck>,
               qt6-svg-dev <!nocheck>,
               qtbase5-dev <!nocheck>,
               qtdeclarative5-dev <!nocheck>,
               qtmultimedia5-dev <!nocheck>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.kdab.com/clazy-video/
Vcs-Git: https://invent.kde.org/neon/extras/clazy.git
Vcs-Browser: https://invent.kde.org/neon/extras/clazy
Maintainer: Neon CI <neon@kde.org>

Package: clazy
Architecture: any
Depends: ${clazy:clang}, ${misc:Depends}, ${shlibs:Depends}
Description: Clang plugin for additional warnings
 Clazy is a Clang plugin which extends the compiler with over
 50 warnings related to Qt best practices ranging from unneeded
 memory allocations to API misuse. It’s an opensource project
 spawned by KDAB’s R&D efforts for better C++ tooling.

Package: clazy-tests
Architecture: any
Depends: clazy (= ${binary:Version}), ${clazy:clang-tools}, ${misc:Depends}
Description: test files for Clazy
 This package contains all the test files needed for running the autopkgtest
 of Clazy. This is hardly useful to install in any other context than this.
