=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# LLVM 6.0 headers produce lots of class-memaccess warnings
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-class-memaccess
+
 archs_that_need_atomic = armel
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_that_need_atomic)))
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
@@ -19,11 +22,9 @@
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
 TESTS_EXCLUDED += qt6-header-fixes
 endif
-# skip tests failing with Qt5
-TESTS_EXCLUDED += old-style-connect
 
 # keep the "++" at the end, to make sure the tool used is the C++ frontend
-CLANGPP=$(shell realpath $$(env PATH=$$(echo "$$PATH" | sed -r -e 's|/usr/lib/ccache/?:||') which clang++))++
+CLANGPP=$(shell realpath $$(env PATH=$$(echo "$$PATH" | sed -r -e 's|/usr/lib/ccache/?:||') which clang++-19))++
 CLANG_APPLY_REPLACEMENTS=$(shell realpath $$(which clang-apply-replacements))
 
 DPKG_ARCHITECTURE = $(shell dpkg --print-architecture)
