## clazy 1.15+p24.04+vstable+git20260107.0657

=== debian/changelog ===
clazy (1.15+p24.04+vstable+git20260107.0657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 06:57:21 +0000
