## clazy 1.15+p24.04+vstable+git20260126.0725

=== debian/changelog ===
clazy (1.15+p24.04+vstable+git20260126.0725-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:25:35 +0000
