## clazy 1.15+p24.04+vunstable+git20251111.0337

=== debian/changelog ===
clazy (1.15+p24.04+vunstable+git20251111.0337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:37:04 +0000
