## clazy 1.15+p24.04+vunstable+git20251125.0153

=== debian/changelog ===
clazy (1.15+p24.04+vunstable+git20251125.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 01:53:30 +0000
