## clazy 1.15+p24.04+vunstable+git20260109.1032

=== debian/changelog ===
clazy (1.15+p24.04+vunstable+git20260109.1032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 10:32:35 +0000
