## clazy 1.15+p24.04+vunstable+git20260129.0256

=== debian/changelog ===
clazy (1.15+p24.04+vunstable+git20260129.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:56:35 +0000
