## clazy 1.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 # Version setup
 set(CLAZY_VERSION_MAJOR "1")
-set(CLAZY_VERSION_MINOR "17")
+set(CLAZY_VERSION_MINOR "16")
 set(CLAZY_VERSION_PATCH "0")
 set(CLAZY_VERSION "${CLAZY_VERSION_MAJOR}.${CLAZY_VERSION_MINOR}.${CLAZY_VERSION_PATCH}")
 set(CLAZY_PRINT_VERSION "${CLAZY_VERSION_MAJOR}.${CLAZY_VERSION_MINOR}")
@@ -81,8 +81,17 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
 endif()
 
-set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_STANDARD 17)
 set(CXX_STANDARD_REQUIRED ON)
+
+# Compiler might support c++17 but not have std::filesystem in the standard library
+if (NOT FILESYSTEM_RUN_RESULT)
+  try_compile(FILESYSTEM_RUN_RESULT ${CMAKE_CURRENT_BINARY_DIR} SOURCES ${CMAKE_CURRENT_LIST_DIR}/.cmake_has_filesystem_test.cpp OUTPUT_VARIABLE foo CXX_STANDARD 17 CXX_STANDARD_REQUIRED true)
+endif()
+
+if (NOT FILESYSTEM_RUN_RESULT)
+  message(FATAL_ERROR "std::filesystem support is mandatory")
+endif()
 
 include(ClazySources.cmake)
 
@@ -188,14 +197,13 @@
   )
 
   if(NOT WIN32)
-     find_program(READLINK_CMD readlink)
-
     if(APPLE)
-      # for historic reasons we prefer greadlink
-      find_program(GREADLINK_CMD greadlink)
-      if (GREADLINK_CMD)
-        set(READLINK_CMD ${GREADLINK_CMD})
-      endif()
+      find_program(READLINK_CMD greadlink)
+    else()
+      find_program(READLINK_CMD readlink)
+    endif()
+    if(NOT READLINK_CMD)
+      message(FATAL_ERROR "Could not find a proper readlink.  On Mac OSX you should install coreutils using homebrew in order to use the GNU readlink")
     endif()
     file(RELATIVE_PATH BIN_RELATIVE_LIBDIR "${CMAKE_INSTALL_FULL_BINDIR}" "${CMAKE_INSTALL_FULL_LIBDIR}")
     file(RELATIVE_PATH BIN_RELATIVE_SHAREDIR "${CMAKE_INSTALL_FULL_BINDIR}" "${CMAKE_INSTALL_FULL_DATAROOTDIR}")
@@ -322,14 +330,3 @@
         # The limit is 16380 single-byte characters, so split up the string as
         # suggested on the site.
         set(str ${input_string})
-        set(chunk_size 1000)
-        set(result "\n")
-        string(LENGTH ${str} str_size)
-        while (${str_size} GREATER ${chunk_size})
-            string(SUBSTRING ${str} 0 ${chunk_size} chunk)
-            string(SUBSTRING ${str} ${chunk_size} -1 str)
-            set(chunk "R\"meta(${chunk})meta\"\n")
-            string(APPEND result ${chunk})
-            string(LENGTH ${str} str_size)
-        endwhile()
-        if (str_size GREATER 0)
