=== debian/changelog ===
clazy (1.16-1) unstable; urgency=medium

  * New upstream release. (Closes: #1116118)
  * Update watch file to work with newer versions of uscan.
  * Update the patches:
    - debian-tests-extra-libs.diff: refresh
    - select-clangpp.diff: refresh
  * The new version builds & tests a plugin for clang-tidy, so:
    - add clang-tidy as build dependency
    - save the path of the actual (versioned) clang-tidy executable, in the same
      way as done for clang-apply-replacements
    - make the clazy-tests package install the needed clang-tidy package
    - tweak the upstream testsuite to use the clang-tidy executable as specified
      using an environment variable; patch tests-clang-tidy-envvar.diff
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Sep 2025 18:31:13 +0200
