=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 include /usr/share/dpkg/buildopts.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# LLVM 6.0 headers produce lots of class-memaccess warnings
-export DEB_CXXFLAGS_MAINT_APPEND = -Wno-class-memaccess
 
 archs_that_need_atomic = armel
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_that_need_atomic)))
@@ -24,8 +21,9 @@
 endif
 
 # keep the "++" at the end, to make sure the tool used is the C++ frontend
-CLANGPP=$(shell realpath $$(env PATH=$$(echo "$$PATH" | sed -r -e 's|/usr/lib/ccache/?:||') which clang++-19))++
+CLANGPP=$(shell realpath $$(env PATH=$$(echo "$$PATH" | sed -r -e 's|/usr/lib/ccache/?:||') which clang++))++
 CLANG_APPLY_REPLACEMENTS=$(shell realpath $$(which clang-apply-replacements))
+CLANG_TIDY=$(shell realpath $$(which clang-tidy))
 
 DPKG_ARCHITECTURE = $(shell dpkg --print-architecture)
 
@@ -50,6 +48,7 @@
 	:> $(CURDIR)/debian/debian.sh
 	echo 'export CLANG="$(CLANGPP)"' >> $(CURDIR)/debian/debian.sh
 	echo 'export CLANG_APPLY_REPLACEMENTS="$(CLANG_APPLY_REPLACEMENTS)"' >> $(CURDIR)/debian/debian.sh
+	echo 'export CLANG_TIDY="$(CLANG_TIDY)"' >> $(CURDIR)/debian/debian.sh
 	echo 'export TESTS_EXCLUDED="$(TESTS_EXCLUDED)"' >> $(CURDIR)/debian/debian.sh
 	echo 'export TESTS_EXTRA_LIBS="$(TESTS_EXTRA_LIBS)"' >> $(CURDIR)/debian/debian.sh
 	mkdir -p $(CURDIR)/debian/clazy-tests/usr/share/clazy
@@ -68,4 +67,5 @@
 override_dh_gencontrol:
 	dh_gencontrol -- \
 	  -V'clazy:clang=$(shell dpkg -S "$(CLANGPP)" | cut -d: -f1)' \
+	  -V'clazy:clang-tidy=$(shell dpkg -S "$(CLANG_TIDY)" | cut -d: -f1)' \
 	  -V'clazy:clang-tools=$(shell dpkg -S "$(CLANG_APPLY_REPLACEMENTS)" | cut -d: -f1)'
