=== debian/watch ===
version=4
https://download.kde.org/stable/clazy/([\d\.]*)/src/@PACKAGE@-v?([^-]*).tar.xz
